<?php
include_once("c_pl.php");
class c_page_cab_pl_db extends c_page_cab_pl
{
    public $h1 = 'Путевой лист - БД';

    function block_main()
    {
        $this->page_title();
        if (!$_POST['cmd'])
        {
            $tables = array('pl_clients' => 'Клиенты ПЛ',
                            'pl_packets' => ' XML пакеты-титулы',
                            'pl_packet_driver' => ' XML пакеты-титулы - водители',
                            'pl_put_list' => ' Путевые листы',
                            'pl_log' => 'Лог операций',
                            );
            include_once(_DIR_EXT . '/aspmo_debug/c_debug_info.php');
            $page = new c_page_cab_debug_info();
            $page->panel_info_db_small($tables);
            ?><button class="button v1" cmd="fill_titul_date_from_to">Заполнить дату в титуле titul_date_from,titul_date_to</button><?
        }


    }

    function CMD_fill_titul_date_from_to()
    {
        $recs=execSQL('select pkey,titul_date,titul_date_from,titul_date_to from pl_packets where titul_date>0 and (titul_date_from=0 or titul_date_from is null)') ;

        if (sizeof($recs))
        {	echo 'Требуется коррекция titul_date_from,titul_date_to в <strong>'.sizeof($recs).' пакетах</strong><br>' ;
            foreach ($recs as $rec)
            {
                $t=getdate($rec['titul_date']) ;
                $data=[] ;
                $data['titul_date_from']=mktime(0,0,0,$t['mon'],$t['mday'],$t['year']) ;
                $data['titul_date_to']=mktime(23,59,59,$t['mon'],$t['mday'],$t['year']) ;
                update_rec_in_table('pl_packets', $data, 'pkey='.$rec['pkey']) ;
            }
            echo 'Коррекция завершена<br>' ;
        }
        else echo 'Коррекция не требуется' ;
    }
}


?>
